# Built from this documentation: https://setuptools.pypa.io/en/latest/userguide/pyproject_config.html

[project]
name = "pysonar"
description = "Library to communicate with ARVP's sonar FPGA"
version = "0.1.0"
authors = [
    { name = "David Lenfesty", email = "lenfesty@ualberta.ca" }
]
requires-python = ">=3.9"
dependencies = ["crc>=4.2"]

[project.scripts]
# Export CLI to configure FPGA
sonar_config = "pysonar:main"

[build-system]
requires = ["setuptools", "setuptools-scm"]
build-backend = "setuptools.build_meta"

[tool.setuptools]
# Just include the python directory
packages = ["pysonar"]
